usr/src/cmd/konkretcmpi/install-sfw
changeset 0 b34509ac961f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/usr/src/cmd/konkretcmpi/install-sfw	Wed Oct 21 17:43:30 2009 +0200
@@ -0,0 +1,66 @@
+#!/usr/bin/ksh93
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# ident	"@(#)install-sfw	1.2	09/05/18 SMI"
+#
+
+# stop at first error
+set -o errexit
+
+PREFIX=${ROOT}/usr
+BINDIR=${PREFIX}/bin
+LIBDIR=${PREFIX}/lib
+SHAREDIR=${PREFIX}/share
+INCLUDEDIR=${PREFIX}/include
+MAN1DIR=${SHAREDIR}/man/man1
+
+# SRCDIR is passed in from Makefile.sfw as environment variable
+KONKRETDIR=${SRCDIR}/src
+KONKRETINCLUDEDIR=${INCLUDEDIR}/konkret
+
+source ${SRC}/tools/install.subr
+
+# bin
+
+_install E ${KONKRETDIR}/program/konkret ${BINDIR}/konkret 555
+_install E ${KONKRETDIR}/konkretreg/konkretreg ${BINDIR}/konkretreg 555
+
+# lib
+
+_install D ${KONKRETDIR}/konkret/.libs/libkonkret.so.0.0.0 ${LIBDIR}/libkonkret.so.0.0.0 555
+_install L libkonkret.so.0.0.0 ${LIBDIR}/libkonkret.so
+_install L libkonkret.so.0.0.0 ${LIBDIR}/libkonkret.so.0
+
+# include
+
+_install N ${KONKRETDIR}/konkret/konkret.h ${KONKRETINCLUDEDIR}/konkret.h 444
+
+# man
+
+_install N konkret.1 ${MAN1DIR}/konkret.1 444
+_install N konkretreg.1 ${MAN1DIR}/konkretreg.1 444
+
+exit 0